=== debian/changelog ===
ros-indigo-sr-mechanism-controllers (1.4.0-0trusty) trusty; urgency=high

  * Adapt calibration controller
  * Fix joint limit reading
  * using prefix on joints didn't work with gazebo controllers. This is now working
  * removed the divide by 2 for the velocity commands

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-mechanism-controllers (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-mechanism-controllers (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 11 Feb 2014 00:00:00 -0000
