=== debian/control ===
Source: ros-indigo-sr-mechanism-controllers
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, libtinyxml-dev, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-control-msgs, ros-indigo-control-toolbox, ros-indigo-controller-interface, ros-indigo-controller-manager-msgs, ros-indigo-pluginlib, ros-indigo-realtime-tools, ros-indigo-ros-ethercat-model, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sr-hardware-interface, ros-indigo-sr-robot-msgs, ros-indigo-sr-utilities, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-velocity-controllers, ros-indigo-xmlrpcpp
Homepage: http://ros.org/wiki/sr_mechanism_controllers
Standards-Version: 3.9.2

Package: ros-indigo-sr-mechanism-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-control-msgs, ros-indigo-control-toolbox, ros-indigo-controller-interface, ros-indigo-controller-manager-msgs, ros-indigo-pluginlib, ros-indigo-realtime-tools, ros-indigo-ros-ethercat-model, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-sr-hardware-interface, ros-indigo-sr-robot-msgs, ros-indigo-sr-utilities, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-velocity-controllers, ros-indigo-xmlrpcpp
Description: The sr_mechanism_controllers package contains different types of controllers for the etherCAT hand:(fake) calibration controllers, position controllers, velocity controllers, force controllers, ...
